Bug 64220 - System does not detect PS2 mouse on extender
System does not detect PS2 mouse on extender
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-29 12:39 EDT by Mark H Johnson
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 13:51:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark H Johnson 2002-04-29 12:39:12 EDT
Description of Problem:
Have a rack mounted computer w/ extender cables to the desk with displays,
keyboard, and mouse. Total cable length is about 25 feet. With kernel
2.4.9-6smp, the system operated normally. After installing either skipjack
beta 1 or beta 2, the mouse is not detected. Keyboard is OK. Have swapped
keyboard and mouse extender cables - no change in behavior, both cables have
continuity. Have reproduced this problem on three (of five) machines in house.
Not sure if the fourth machine has shorter extender cables. The fifth machine
does have much shorter cables (10 feet max).

Version-Release number of selected component (if applicable):
Kernel 2.4.18-0.13smp does not work
Kernel 2.4.9-6smp does work

How Reproducible:
Use extended cables with [keyboard and] mouse.

Steps to Reproduce:
1. Boot system w/o extender cables. (init mode 5)
2. Attach extender cables.
3. Switch to console window (Ctrl-Alt-F1) and back to X server (Ctrl-Alt-F7).

Actual Results:
Mouse movement does not move pointer. Review of XFree86 log file indicates
(EE) xf86OpenSerial: Cannot open device /dev/mouse
        No such device or address.
You get a similar error if you...
  cat /dev/mouse
so I doubt its an XFree86 problem.

The sequence of steps works OK if the same mouse is not on extender cables.

Expected Results:
Mouse works OK after attached to extender cables.

Additional Information:
We realize the cables are long in this situation, but are greatly surprised
that it begins to fail with the updated kernel.
Comment 1 Arjan van de Ven 2002-04-29 12:54:53 EDT
Could you try the latest build from rawhide ? There have been some PS/2 fixes in
that
Comment 2 Mark H Johnson 2002-04-29 17:16:18 EDT
OK. Downloaded kernel-smp-2.4.18-0.22.i686.rpm from rawhide. Installed and
rebooted one of the failed systems. Now works w/ the extender cables. Thanks.

Note You need to log in before you can comment on or make changes to this bug.